%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define ClassName Validate

Name:           php-pear-Validate
Version:        0.8.2
Release:        1%{?dist}
Summary:        Validation Class for Various Data Types

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/Validate
Source0:        http://pear.php.net/get/%{ClassName}-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  php-pear >= 1:1.4.9-1.2
Requires:       php-pear(PEAR)
Requires(hint): php-pear(Date)
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{ClassName}) = %{version}

%description
Package to validate various data. It includes :
- numbers (min/max, decimal or not)
- email (syntax, domain check, rfc822)
- string (predifined type alpha upper and/or lowercase, numeric,...)
- date (min, max)
- uri (RFC2396)
- possibility valid multiple data with a single method call (::multiple)


%prep
%setup -qc
[ -f package2.xml ] || mv package.xml package2.xml
mv package2.xml %{ClassName}-%{version}/%{ClassName}.xml
cd %{ClassName}-%{version}


%build
cd %{ClassName}-%{version}
# Empty build section, most likely nothing required.


%install
cd %{ClassName}-%{version}
rm -rf $RPM_BUILD_ROOT docdir
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{ClassName}.xml

# Move documentation
mkdir -p docdir
mv $RPM_BUILD_ROOT%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{ClassName}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{ClassName}.xml >/dev/null ||:

%postun
if [ "$1" -eq "0" ]; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{ClassName} >/dev/null ||:
fi


%files
%defattr(-,root,root,-)
%doc %{ClassName}-%{version}/docdir/%{ClassName}/*
%{pear_xmldir}/%{ClassName}.xml
%{pear_testdir}/%{ClassName}
%{pear_phpdir}/Validate.php


%changelog
* Mon Sep 14 2009 Christopher Stone <chris.stone@gmail.com> 0.8.2-1
- Upstream sync

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 20 2008 Christopher Stone <chris.stone@gmail.com> 0.8.1-1
- Upstream sync

* Sun Jan 14 2007 Christopher Stone <chris.stone@gmail.com> 0.7.0-1
- Upstream sync

* Wed Sep 06 2006 Christopher Stone <chris.stone@gmail.com> 0.6.4-1
- Upstream sync

* Fri Jun 30 2006 Christopher Stone <chris.stone@gmail.com> 0.6.3-1
- Initial Release
